org.apache.solr.search.join

## Class BlockJoinParentQParser

- java.lang.Object
- - org.apache.solr.search.QParser
  - - org.apache.solr.search.join.BlockJoinParentQParser

- Direct Known Subclasses:
    BlockJoinChildQParser

      public class BlockJoinParentQParser
      extends QParser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `CACHE_NAME` implementation detail subject to change

    - ### Fields inherited from class org.apache.solr.search.QParser

      `localParams, localParamsEnd, params, qstr, query, recurseCount, req, stringIncludingLocalParams, valFollowedParams`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Query` | `createQuery(Query parentList, Query query, String scoreMode)`
    `protected String` | `getParentFilterLocalParamName()`
    `Query` | `parse()` Create and return the `Query` object represented by `qstr`.

    - ### Methods inherited from class org.apache.solr.search.QParser

      `addDebugInfo, getDefaultHighlightFields, getHighlightQuery, getLocalParams, getParam, getParams, getParser, getParser, getQuery, getReq, getSort, getSortSpec, getString, setLocalParams, setParams, setReq, setString, subQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_NAME

          public String CACHE_NAME

      implementation detail subject to change

  - ### Method Detail

    - #### getParentFilterLocalParamName

          protected String getParentFilterLocalParamName()

    - #### parse

          public Query parse()
                      throws SyntaxError

      Description copied from class: `QParser`
      Create and return the `Query` object represented by `qstr`. Null MAY be returned to signify there was no input (e.g. no query string) to parse.
      Specified by:
        `parse` in class `QParser`
      Throws:
        `SyntaxError`
      See Also:
        `QParser.getQuery()`

    - #### createQuery

          protected Query createQuery(Query parentList,
                                      Query query,
                                      String scoreMode)
                               throws SyntaxError

      Throws:
        `SyntaxError`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.